<?php
/*
 * @version $Id: HEADER 15930 2011-10-25 10:47:55Z jmd $
 -------------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2011 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org
 -------------------------------------------------------------------------

 LICENSE

 This file is part of GLPI.

 GLPI is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 GLPI is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GLPI. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
 */

// ----------------------------------------------------------------------
// Original Author of file:
// Purpose of file:
// ----------------------------------------------------------------------

// Non menu entry case
//header("Location:../../central.php");

// Entry menu case
define('GLPI_ROOT', '../../..');
include(GLPI_ROOT . "/inc/includes.php");
require_once ('../inc/config.class.php');

global $LANG;

// To be available when plugin in not activated
Plugin::load('nediinventory');

$plugin = new Plugin();
if ($plugin->isActivated("nediinventory")) {
   $config = new PluginNediinventoryConfig();
   

   //Update action of Setup form
   if (isset($_POST["update"])) {
#      Session::checkRight("config", "w");
      $config->setConfiguration($_POST);
      Html::back();

      
   // Show the configuration page
   } else {
      Html::header('Mon Plugin', $_SERVER["PHP_SELF"], "config", "plugins");
      $config->showConfigForm();
   }

} else {
   Html::header('configuration', '', "config", "plugins");
   echo "<div class='center'><br><br>".
         "<img src=\"".$CFG_GLPI["root_doc"]."/pics/warning.png\" alt='warning'><br><br>";
   echo "<b>".$LANG['plugin_nediinventory']['config'][0]."</b></div>";
   Html::footer();
}

Html::footer();


?>
