<?php

class NetworkEquipmentForm extends CommonDBTM {

	/*
	 * Network Equitment Tab
	*/
	function showNetworkEquipmentTab($arr_Modules, $Name, $nediVersion){

		global $DB;

		echo '<div class="center">';
		echo "<table class='tab_cadre_fixe' >";
		echo "<tr class='tab_bg_1'>";
		echo "<th colspan='7'>".__("Discovered ".count($arr_Modules)." Modules on Networking Device \"$Name\" <a target='NeDi' href=\"".self::getNeDiLink2DevDetails($nediVersion, $Name)."\">( NeDi Device )</a>","nediinventory")."</th>";
		echo "</tr>";
		echo "<tr class='tab_bg_1'>";
		echo "<th>Module Name</th><th>Serial Number</th><th>Type</th><th>Model</th><th>Conn.Status</th><th>Last Discovery</th><th>NeDi Module</th>";
		echo "</tr>";
		
		// Show all Modules in Table
		foreach ($arr_Modules as $arr_Module) {
				
			echo "<tr class='tab_bg_1'>";
			echo "<td><a href=\"./peripheral.form.php?id=".$arr_Module['id']."\">".$arr_Module['name']."</a></td>";
			echo "<td>".$arr_Module['serial']."</td>";
			echo "<td>".$arr_Module['type']."</td>";
			echo "<td>".$arr_Module['model']."</td>";
			echo "<td>".$arr_Module['installation_status']."</td>";
			echo "<td>".$arr_Module['last_discovery']."</td>";
			echo "<td><a target='NeDi' href=\"".self::getNeDiLink2DevModule($nediVersion, $arr_Module['serial'])."\">NeDi Module</a></td>";
		
		
			echo "</tr>";
		}
		echo '</table>';
		echo '</div>';
		
		Html::CloseForm();
		return true;
	}
	
	private function getNeDiLink2DevDetails($nediVersion, $key) {
	
		return "../../nedi/Devices-Status.php?dev=".$key;
	}
	
	private function getNeDiLink2DevModule($nediVersion, $key) {
		
		if ($nediVersion == "1_0_8"){
			return "../../nedi/Devices-Modules.php?ina=modules.serial&opa=%3D&sta=".$key."&cop=&inb=modclass&opb=regexp&stb=&col[]=imBL&col[]=device&col[]=location&col[]=contact&col[]=lastdis&col[]=slot&col[]=model&col[]=moddesc&col[]=modules.serial&lim=300";
		} elseif ($nediVersion == "1_0_9"){
			return "../../nedi/Devices-Modules.php?in[]=modules.serial&op[]=~&st[]=".$key."&co[]=&in[]=modclass&op[]=~&st[]=&co[]=&in[]=modclass&op[]=~&st[]=&co[]=&in[]=modclass&op[]=~&st[]=&col[]=imBL&col[]=device&col[]=type&col[]=description&col[]=contact&col[]=slot&col[]=model&col[]=moddesc&col[]=modules.serial&col[]=fw&lim=50";
		} else {
			return "./";
		}
	}
}
?>